Package org.eclipse.jdt.core.dom.rewrite

## Class TargetSourceRangeComputer.SourceRange

- java.lang.Object
- - org.eclipse.jdt.core.dom.rewrite.TargetSourceRangeComputer.SourceRange

Enclosing class:
  TargetSourceRangeComputer

    public static final class TargetSourceRangeComputer.SourceRange
    extends Object

Reified source range. Instances are "value" object (cannot be modified).

Since:
  3.1

### Constructor Summary

Constructors
`SourceRange​(int startPosition, int length)` Creates a new source range.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLength()` Returns the source length.
`int` `getStartPosition()` Returns the start position.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceRange

    public SourceRange​(int startPosition,
                       int length)

Creates a new source range.

Parameters:
  `startPosition` - the 0-based character index, or `-1` if no source position information is known
  `length` - the (possibly 0) length, or `0` if no source position information is known

### Method Detail

#### getStartPosition

    public int getStartPosition()

Returns the start position.

Returns:
  the 0-based character index, or `-1` if no source position information is known

#### getLength

    public int getLength()

Returns the source length.

Returns:
  a (possibly 0) length, or `0` if no source position information is known